<div class="row">
    <div class="col">
    <div class="card table-card widget-primary-card">
        <a [routerLink]="['/student/my-course']" style="color:white">
            <div class="row-table">
                <div class="col-sm-3 card-block-big">
                    <i class="icofont icofont-group-students"></i>
                </div>
                <div class="col-sm-9">
                    <h4>{{countAllCourse}}</h4>
                    <h6>{{'dashboard.student.main_course' | translate}}</h6>
                </div>
            </div>
        </a>
    </div>
  </div>

  <div class="col">
    <div class="card table-card widget-primary-card">
      <a [routerLink]="['/student/history-course']" style="color:white">
            <div class="row-table">
                <div class="col-sm-3 card-block-big">
                    <i class="icofont icofont-group-students"></i>
                </div>
                <div class="col-sm-9">
                    <h4>{{countHistoryCourse}}</h4>
                    <h6>{{'dashboard.student.finished_course' | translate}}</h6>
                </div>
            </div>
        </a>
    </div>
  </div>

  <div class="col">
    <div class="card table-card widget-primary-card">
        <a [routerLink]="['/student/next-course']" style="color:white">
            <div class="row-table">
                <div class="col-sm-3 card-block-big">
                    <i class="icofont icofont-group-students"></i>
                </div>
                <div class="col-sm-9">
                    <h4>{{countNextCourse}}</h4>
                    <h6>{{'dashboard.student.next_course' | translate}}</h6>
                </div>
            </div>
        </a>
    </div>
  </div>

  <div class="card">
    <div class="card-block">
      <div class="dt-responsive dt-bootstrap4 row p-20">
        <div class="col-md-12 col-xl-12 row">
          <div class="col-xs-12 col-sm-12 col-sm-12 col-md-4">
              <div>
                  <label class="label-control">{{'general.show' | translate}}
                  <select class="form-control input-sm full-data-show-entry" [(ngModel)]="rowsOnPage">
                      <option [ngValue]="10">10</option>
                      <option [ngValue]="25">25</option>
                      <option [ngValue]="50">50</option>
                      <option [ngValue]="100">100</option>
                  </select>
                      <!-- {{'general.entries' | translate}} -->
                  </label>
              </div>
          </div>
          <div class="col-xs-12 col-sm-12 col-md-4">
            <div>
                <label class="label-control">Status
                    <select style="width:150px" class="form-control input-sm full-data-show-entry" [(ngModel)]="filterStatus" (change)="filterByStatus($event.target.value,data)">
                        <option value="All">All</option>
                        <option value="Active">Active</option>
                        <option value="Expired">Expired</option>
                        <option value="Pending">Pending</option>
                        <option value="Completed">Completed</option>
                    </select>
                </label>
            </div>
        </div>

          <div class="col-xs-12 col-sm-12 col-md-4">
              <div class="text-right-autodesk">
                  <label class="label-control">{{'general.search' | translate}}:
                      <input type="search" [(ngModel)]="filterQuery" class="form-control input-sm full-data-search" style="margin-left: 0!important">
                  </label>
              </div>
          </div>

          
          <div class="col-xs-12 col-sm-12 col-md-12" style="overflow-x:auto;">
            <table dt-options="dtOptions" class="table table-striped table-bordered table-responsive full-data-table text-center pull-center" [mfData]="data | dataFilterActivities : filterQuery | dataFilterStatus : filterStatus"
                #mf="mfDataTable" [mfRowsOnPage]="rowsOnPage" [(mfSortBy)]="sortBy" [(mfSortOrder)]="sortOrder">
                <thead>
                    <tr>
                        <th width="10%"><mfDefaultSorter by="CourseId">{{'eva.manage_course.list_course.course_id' | translate}}</mfDefaultSorter></th>
                        <th width="15%"><mfDefaultSorter by="Name">{{'eva.manage_course.list_course.course_name' | translate}}</mfDefaultSorter></th>
                        <th width="15%"><mfDefaultSorter by="StartDate">{{'student.my_course.course_date' | translate}}</mfDefaultSorter></th>
                        <th width="10%"><mfDefaultSorter by="ContactId">{{'eva.manage_course.list_course.instructor_id' | translate}}</mfDefaultSorter></th>
                        <th width="15%"><mfDefaultSorter by="ContactName">{{'eva.manage_course.list_course.instructor_name' | translate}}</mfDefaultSorter></th>
                        <th width="15%"><mfDefaultSorter by="SiteName">{{'epdb.manage.site.detail.site_name' | translate}}</mfDefaultSorter></th>
                        <th width="20%"><mfDefaultSorter by="SiteAddress1">{{'epdb.manage.site.add_edit.site_address' | translate}}</mfDefaultSorter></th>
                        <th width="20%"><mfDefaultSorter by="">Survey Status</mfDefaultSorter></th>
                    </tr>
                </thead>
                <tbody *ngIf="data!=null && data!=''">
                    <tr *ngFor="let item of mf.data">
                        <!-- <td>
                          <a [routerLink]="['/dashboard/student']" (click)="detailCourse(item.CourseId);viewdetailmodal.show();" *ngIf="item.Status == 'A'" style="color:blue">{{item.CourseId}}</a>
                          <a [routerLink]="['/dashboard/student']" (click)="detailCourse(item.CourseId);viewdetailmodal.show();" *ngIf="item.Status == 'X'" style="color:red">{{item.CourseId}}</a>
                        </td> -->
                        <td>{{item.CourseId}}</td>
                        <td>{{item.Name}}</td>
                        <td>{{item.StartDate | convertDate}}</td>
                        <td>{{item.ContactId}}</td>
                        <td>{{item.ContactName}}</td>
                        <td>{{item.SiteName}}</td>
                        <td>{{item.SiteAddress1}}</td>
                        <td>
                            <a [routerLink]="['/dashboard/student']" *ngIf="item.SurveyTaken == 0 && item.activesurveylink == 'Active'" (click)="takeSurvey(item.FYIndicatorKey,item.TrainingTypeKey,item.ProjectTypeKey,item.EventTypeKey,item.CourseId)"
                                ngbTooltip="Answer Survey">Not Completed</a>
                            <span *ngIf="item.activesurveylink == 'Pending' || item.activesurveylink == 'Expired'" >{{item.activesurveylink}}</span>
                            <span *ngIf="item.SurveyTaken == 1" >Completed</span>
                        </td>
                    </tr>
                </tbody>
                <tfoot>
                    <tr *ngIf="data!=null">
                        <td colspan="8"><mfBootstrapPaginator class="pagination-main f-right"></mfBootstrapPaginator></td>
                    </tr>
                    <tr *ngIf="data==null">
                        <td colspan="8" class="text-center">{{'general.loading_data' | translate}} ...</td>
                    </tr>
                    <tr *ngIf="data==''">
                        <td colspan="8" class="text-center">{{'general.data_empty' | translate}}</td>
                    </tr>
                </tfoot>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<!-- modal view detail -->
<app-modal-basic #viewdetailmodal [dialogClass]="'modal-lg'">
    <div class="app-modal-header">
        <h4 class="modal-title">Detail Course</h4>
        <button type="button" class="close basic-close" (click)="viewdetailmodal.hide()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="app-modal-body">
        <div class="col-md-12 col-xl-12 form-group row" *ngIf="datadetail!=null">
            <div class="col-md-3 col-xl-3 text-left">
                <label class="col-form-label">
                    Course ID
                </label>
            </div>
            <div class="col-md-3 col-xl-3 text-left">
                <label class="col-form-label">{{datadetail.CourseId}}</label>
            </div>
            <div class="col-md-3 col-xl-3 text-left">
                <label class="col-form-label">
                    Course Title
                </label>
            </div>
            <div class="col-md-3 col-xl-3 text-left">
                <label class="col-form-label">{{datadetail.Name}}</label>
            </div>
            <div class="col-md-3 col-xl-3 text-left">
                <label class="col-form-label">
                    Instructor ID
                </label>
            </div>
            <div class="col-md-3 col-xl-3 text-left">
                <label class="col-form-label">{{datadetail.ContactId}}</label>
            </div>
            <div class="col-md-3 col-xl-3 text-left">
                <label class="col-form-label">
                    Start Date
                </label>
            </div>
            <div class="col-md-3 col-xl-3 text-left">
                <label class="col-form-label">{{datadetail.StartDate}}</label>
            </div>
            <div class="col-md-3 col-xl-3 text-left">
                <label class="col-form-label">
                    End Date
                </label>
            </div>
            <div class="col-md-3 col-xl-3 text-left">
                <label class="col-form-label">{{datadetail.CompletionDate}}</label>
            </div>
            <div class="col-md-3 col-xl-3 text-left">
                <label class="col-form-label">
                    Hours Training
                </label>
            </div>
            <div class="col-md-3 col-xl-3 text-left">
                <label class="col-form-label">{{datadetail.HoursTraining}} Hour</label>
            </div>
            <div class="col-md-3 col-xl-3 text-left">
                <label class="col-form-label">
                    Survey Indicator
                </label>
            </div>
            <div class="col-md-3 col-xl-3 text-left">
                <label class="col-form-label">{{datadetail.FYIndicatorKey}}</label>
            </div>
            <div class="col-md-3 col-xl-3 text-left">
                <label class="col-form-label">
                    Institution
                </label>
            </div>
            <div class="col-md-3 col-xl-3 text-left">
                <label class="col-form-label">{{datadetail.Institution}}</label>
            </div>
            <div class="col-md-3 col-xl-3 text-left">
                <label class="col-form-label">
                    Product
                </label>
            </div>
            <div class="col-md-3 col-xl-3 text-left">
                <label class="col-form-label">{{product}}</label>
            </div>
            <div class="col-md-3 col-xl-3 text-left">
                <label class="col-form-label">
                    Version
                </label>
            </div>
            <div class="col-md-3 col-xl-3 text-left">
                <label class="col-form-label">{{version}}</label>
            </div>
        </div>
    </div>
</app-modal-basic>
<!-- end modal view detail -->